Create Advertiser
curl --request POST \
--url https://api.embedads.com/platforms/{platformID}/advertisers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"website_url": "<string>",
"custom_event_type_key": "<string>",
"phone_number": "<string>",
"special_category": "<string>"
}
'import requests
url = "https://api.embedads.com/platforms/{platformID}/advertisers"
payload = {
"name": "<string>",
"website_url": "<string>",
"custom_event_type_key": "<string>",
"phone_number": "<string>",
"special_category": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
website_url: '<string>',
custom_event_type_key: '<string>',
phone_number: '<string>',
special_category: '<string>'
})
};
fetch('https://api.embedads.com/platforms/{platformID}/advertisers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123
}
{
"error": "Missing or invalid fields."
}
{
"error": "Internal Server Error"
}
Advertisers
Create Advertiser
Create a new Advertiser. You can also do this manually on the Reseller dashboard’s Advertisers page in the admin portal.
POST
/
platforms
/
{platformID}
/
advertisers
Create Advertiser
Path Parameters
The ID of the Reseller.
Body Parameters
The name of the advertiser.
The website URL of the advertiser.
The custom event type key of the advertiser. Should be one of the following:
PURCHASELEADCONTENT_VIEWCOMPLETE_REGISTRATIONADD_TO_CARTPHONE_CALL
The phone number of the advertiser.
The special category of the advertiser. Should be one of the following:
HOUSINGEMPLOYMENTFINANCIAL_PRODUCTS_SERVICES
Response
Id of the newly created advertiser.
{
"id": 123
}
{
"error": "Missing or invalid fields."
}
{
"error": "Internal Server Error"
}
⌘I